Pandabase
Store APIsCustomers

Get customer

GET
/stores/{storeId}/customers/{customerId}

Retrieves a customer by ID. Requires the CUSTOMERS_READ scope.

Authorization

AuthorizationBearer <token>

Bearer token authentication. Pass the secret directly in the Authorization header. Token secrets start with sk_.

In: header

Path Parameters

storeId*string
Length12 <= length <= 48
customerId*string
Length12 <= length <= 48

Header Parameters

idempotency-key?string
Length8 <= length <= 32

Response Body

application/json

application/json

curl -X GET "https://example.com/stores/stringstring/customers/stringstring"
{  "ok": true,  "data": {    "id": "cus_j8h0r1n4tzcbfp2v8q1mzwx5",    "email": "buyer@example.com",    "firstName": "Alex",    "lastName": "Doe",    "guest": false,    "totalSpent": 8700,    "orderCount": 3,    "createdAt": "2026-03-01T11:20:00.000Z"  }}

Last updated on